#
# spec file for package bulk_mailer (Version 1.13)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         bulk_mailer
Copyright:    1999 - not specified
Group:        Applications/Mail
Provides:     bulkmail
Obsoletes:    bulkmail 
Autoreqprov:  on
Version:      1.13
Release:      28
Summary:      Bulk_mailer
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.patch
BuildRoot:    %{_tmppath}/%{name}-build

%description
This is a C program to do "bulk" mailing.  For input, it takes a file
of recipient addresses (one address per line) and a message (with
headers already attached) to be sent to the recipients.  It sorts the
recipient list by reversed domain (so similar ones sort together),
splits up the recipients into several groups containing no more than N
domains each, creates an SMTP envelope for each group of recipients,
and feeds that envelope to "/usr/lib/sendmail -bs".
Splitting the envelopes up allows sendmail to perform delivery in parallel,
so instead of having one large queue entry (for which sendmail might take
awhile to get around to attempting delivery for some recipients), it has
several smaller queue entries.  Depending on your point-of-view, this can
still be considered "cluttering up your mail queue", but it does seem to
deliver messages more quickly to most recipients.
The core of this program was extracted from a somewhat strange mailing
list manager called na-net; it was designed to efficiently send out
mail to 5000 people at a time.  I have used this program to attempt
delivery of a message to over 12000 recipients around the world,
within a few hours.  I'm currently using bulk_mailer as a back-end for
several mailing lists of modest size.
However, the program is not extensively tested, and may not work well
in all environments.  (In particular, if your system has per-user
process quotas, or a small number of process table entries, you will
want to modify this program to recover gracefully.)
There's no warranty on this, but you're welcome to use it if you want.

Authors:
--------
    Keith Moore <moore@cs.utk.edu>

SuSE series: n

%prep
%setup
%patch

%build
./configure
make

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=$RPM_BUILD_ROOT" install
install -d $RPM_BUILD_ROOT/usr/share/man/man1
install -m644 %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{name}.README %{name}.ps
%doc %{_mandir}/man1/*
/usr/bin/*

%changelog -n bulk_mailer
* Tue Aug 21 2001 - pmladek@suse.cz
- updated to version 1.13
- package renamed from bulkmail to bulk_mailer
- cleaned up spec file
- bzipped sources
* Thu May 24 2001 - pmladek@suse.cz
- fixed includes on ia64
* Tue May 23 2000 - vinil@suse.cz
- sorted in group
- spec file cleanup
* Thu Apr 06 2000 - vinil@suse.cz
- buildroot added
* Mon Jan 17 2000 - ro@suse.de
- update to 1.12, added manpage
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Wed Oct 29 1997 - ro@suse.de
- first version
